Table of Contents

Class Diff_VoltageOut_Position

Namespace
CTRE.Phoenix6.Controls.Compound
Assembly
Phoenix6.Hardware.dll

Requires Phoenix Pro and CANivore; Differential control with voltage average target and position difference target.

public sealed class Diff_VoltageOut_Position : ControlRequest, ICloneable
Inheritance
Diff_VoltageOut_Position
Implements
Inherited Members

Constructors

Diff_VoltageOut_Position(VoltageOut, PositionVoltage)

Requires Phoenix Pro and CANivore; Differential control with voltage average target and position difference target.

Average VoltageOut request of the mechanism. Differential PositionVoltage request of the mechanism.
public Diff_VoltageOut_Position(VoltageOut AverageRequest, PositionVoltage DifferentialRequest)

Parameters

AverageRequest VoltageOut
DifferentialRequest PositionVoltage

Fields

AverageRequest

Average VoltageOut request of the mechanism.

public VoltageOut AverageRequest

Field Value

VoltageOut

DifferentialRequest

Differential PositionVoltage request of the mechanism.

public PositionVoltage DifferentialRequest

Field Value

PositionVoltage

UpdateFreqHz

The frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.

If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.
public double UpdateFreqHz

Field Value

double

Properties

Name

Name of this control request.

public string Name { get; }

Property Value

string

Methods

Clone()

Creates a copy of this control request.

public Diff_VoltageOut_Position Clone()

Returns

Diff_VoltageOut_Position

GetControlInfo()

Gets information about this control request.

public Dictionary<string, string> GetControlInfo()

Returns

Dictionary<string, string>

Dictionary of control parameter names and corresponding applied values

SendRequest(string, uint)

Sends this request out over CAN bus to the device for the device to apply.

public StatusCode SendRequest(string network, uint deviceHash)

Parameters

network string

Network to send request over

deviceHash uint

Device to send request to

Returns

StatusCode

Status of the send operation

ToString()

Provides the string representation of this object.

public override string ToString()

Returns

string

WithAverageRequest(VoltageOut)

Modifies this Control Request's AverageRequest parameter and returns itself for method-chaining and easier to use request API.

Average VoltageOut request of the mechanism.
public Diff_VoltageOut_Position WithAverageRequest(VoltageOut newAverageRequest)

Parameters

newAverageRequest VoltageOut

Parameter to modify

Returns

Diff_VoltageOut_Position

Itself

WithDifferentialRequest(PositionVoltage)

Modifies this Control Request's DifferentialRequest parameter and returns itself for method-chaining and easier to use request API.

Differential PositionVoltage request of the mechanism.
public Diff_VoltageOut_Position WithDifferentialRequest(PositionVoltage newDifferentialRequest)

Parameters

newDifferentialRequest PositionVoltage

Parameter to modify

Returns

Diff_VoltageOut_Position

Itself

WithUpdateFreqHz(double)

Sets the frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.

If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.
public Diff_VoltageOut_Position WithUpdateFreqHz(double newUpdateFreqHz)

Parameters

newUpdateFreqHz double

Parameter to modify

Returns

Diff_VoltageOut_Position

Itself